### Enumeration

# Qmi WdsDsProfileError

since: 1.8

#### Declaration

    enum Qmi.WdsDsProfileError

#### Description [src]

Extended DS profile errors.

Available since: 1.8

#### Members

`QMI_WDS_DS_PROFILE_ERROR_UNKNOWN`

  Unknown DS profile error.

  - Value: `0`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_FAIL`

  General failure.

  - Value: `1`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_HANDLE`

  Invalid handle.

  - Value: `2`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_OPERATION`

  Invalid operation.

  - Value: `3`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_PROFILE_TYPE`

  Invalid profile type.

  - Value: `4`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_PROFILE_NUMBER`

  Invalid profile number.

  - Value: `5`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_PROFILE_ID`

  Invalid profile identifier.

  - Value: `6`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_ARGUMENT`

  Invalid argument.

  - Value: `7`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_REGISTRY_NOT_INITIALIZED`

  Registry not initialized.

  - Value: `8`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_PARAMETER_LENGTH`

  Invalid parameter length.

  - Value: `9`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_LIST_END`

  List end, profile not found.

  - Value: `10`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_SUBSCRIPTION_ID`

  Invalid subscription identifier.

  - Value: `11`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_INVALID_PROFILE_FAMILY`

  Invalid profile family.

  - Value: `12`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_3GPP_INVALID_PROFILE_FAMILY`

  Invalid 3GPP profile family.

  - Value: `1001`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_3GPP_ACCESS_ERROR`

  Error accessing 3GPP profiles.

  - Value: `1002`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_3GPP_CONTEXT_NOT_DEFINED`

  3GPP profile doesn’t have a valid context.

  - Value: `1003`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_3GPP_VALID_FLAG_NOT_SET`

  3GPP profile doesn’t have valid flag set.

  - Value: `1004`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_3GPP_READ_ONLY_FLAG_SET`

  3GPP profile has read-only flag set.

  - Value: `1005`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_3GPP_OUT_OF_PROFILES`

  Out of 3GPP profiles.

  - Value: `1006`
  - Available since: 1.8
`QMI_WDS_DS_PROFILE_ERROR_3GPP2_INVALID_PROFILE_ID`

  Invalid 3GPP2 profile identifier.

  - Value: `1101`
  - Available since: 1.8

#### Type functions

###### qmi_wds_ds_profile_error_get_string

Gets the nickname string for the `QmiWdsDsProfileError` specified at `val`.

since: 1.8